Entity resolution
Deep research for entity by name (async)
GET
/v2/entity-resolution/async Submit an async deep research request (3-5 minutes). Returns immediately with request_id. Poll /v2/entity-resolution/status/{request_id} for results.
Try Instant Search first for faster results (<1 second).
Query parameters
namestring requiredName of the entity to resolvelocationstringOptional location of the entity
Responses
200 Successful response
request_idstring requiredstatusstring (enum) requiredPENDING
400 Bad Request
errorobjectAn error object.Show 2 nested fieldsHide nested fields
messagestringThe error messagetypestringThe error code
401 Unauthorized
messagestringThe error object.request_idstringThe request ID for the error.
500 Internal Server Error
errorobjectAn error object.Show 2 nested fieldsHide nested fields
messagestringThe error messagetypestringThe error code
502 Request timeout
errorobjectAn error object.Show 2 nested fieldsHide nested fields
messagestringThe error messagetypestringThe error code
Example request
cURL
curl --request GET \
--url 'https://api.savvyiq.ai/v2/entity-resolution/async?name=Apple%20Inc.&location=California%2C%20US' \
--header 'apikey: YOUR_API_KEY' Example response
Example200
{
"request_id": "reqa_2ZUKmavJxCx4GHMnpJsc9",
"status": "PENDING"
}